Bug 264112 - undefined symbol - missing link to QtGui
Summary: undefined symbol - missing link to QtGui
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.4.0
Platform: Compiled Sources Solaris
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 21:02 UTC by tropikhajma
Modified: 2011-02-04 08:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
patch (538 bytes, patch)
2011-01-23 21:02 UTC, tropikhajma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tropikhajma 2011-01-23 21:02:32 UTC
Created attachment 56359 [details]
patch

Version:           2.4.0 (using Devel) 
OS:                Solaris

building amarok fails with the below message.
The attached patch fixes it.

This is on Solaris 11e, x86, using the Sun Studio 12u1 compiler

/usr/bin/gmake -f utilities/collectionscanner/CMakeFiles/amarokcollectionscanner.dir/build.make utilities/collectionscanner/CMakeFiles/amarokcollectionscanner.dir/build
gmake[3]: Entering directory `/export/home/test/packages/BUILD/amarok-2.4.0/build-amarok-2.4.0'
Linking CXX executable amarokcollectionscanner
cd /export/home/test/packages/BUILD/amarok-2.4.0/build-amarok-2.4.0/utilities/collectionscanner && /opt/kde4/bin/cmake -E cmake_link_script CMakeFiles/amarokcollectionscanner.dir/link.txt --verbose=1
/opt/sunstudio12.1/bin/CC   -D__EXTENSIONS__ -DSOLARIS -D_REENTRANT -DNDEBUG -D__EXTENSIONS__ -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_POSIX_PTHREAD_SEMANTICS -DSOLARIS -DSOLARIS10 -DNO_DEBUG -D_UNICODE -DUNICODE -D_RWSTD_REENTRANT  -D_XOPEN_SOURCE=500 -D_XPG5  -I/usr/include/stdcxx4/ansi -I/usr/include/stdcxx4 -I/opt/kde4/include -I/usr/include/stdcxx4/ansi -I/usr/include/stdcxx4 -library=no%Cstd -library=Crun -features=anachronisms,except,rtti,export,extensions,nestedaccess,tmplife,tmplrefstatic -instances=global -template=geninlinefuncs -s -xdebugformat=dwarf -xlang=c99 -xalias_level=compatible -xustr=ascii_utf16_ushort -Qoption ccfe -features=gcc -Qoption ccfe -features=zla -Qoption ccfe ++boolflag:sunwcch=false -mt -xF=%none -xbuiltin=%all -xinline=%auto -xprefetch=auto -xprefetch_auto_type=indirect_array_access -xprefetch_level=3 -xalias_level=compatible -KPIC -DPIC -xipo=0 -xO3 -xregs=no%frameptr -xjobs=2 -xrestrict=%all -xthreadvar=%all -z combreloc -z redlocsym -z nodefaultlib -z ignore -z now -z rescan -z absexec -xldscope=symbolic -xlibmil -s -xtarget=pentium4 -m32 -xarch=sse2 -xchip=pentium4 -xcache=8/64/4:256/128/8 -lc -lm -ldl -lpthread -lposix4 -lrt -mt -Y P,/opt/kde4/lib -i -L/opt/kde4/lib -R/opt/kde4/lib -L/usr/lib -R/usr/lib -Bdynamic -lstdcxx4 -lCrun -lc -lm  -g -xO3 -DQT_NO_DEBUG  -L/opt/kde4/lib -R/opt/kde4/lib  -lstdcxx4 -lCrun -L/usr/lib -R/usr/lib -lxml2 -lrt -lsocket -L/usr/X11/lib -R/usr/X11/lib -lXdamage CMakeFiles/amarokcollectionscanner.dir/CollectionScanner.o CMakeFiles/amarokcollectionscanner.dir/Directory.o CMakeFiles/amarokcollectionscanner.dir/Album.o CMakeFiles/amarokcollectionscanner.dir/Track.o CMakeFiles/amarokcollectionscanner.dir/Playlist.o CMakeFiles/amarokcollectionscanner.dir/BatchFile.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/MetaTagLib.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/MetaReplayGain.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/FileType.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/taglib_filetype_resolvers/wavfiletyperesolver.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/taglib_filetype_resolvers/mp4filetyperesolver.o CMakeFiles/amarokcollectionscanner.dir/__/__/shared/taglib_filetype_resolvers/asffiletyperesolver.o  -o amarokcollectionscanner  /opt/kde4/lib/libQtCore.so -lthread /opt/kde4/lib/libQtXml.so /opt/kde4/lib/libQtDBus.so /opt/kde4/lib/libkdecore.so.5.6.0 -L/opt/kde4/lib -ltag -L/opt/kde4/lib -ltag-extras /opt/kde4/lib/libQtCore.so -lthread /opt/kde4/lib/libQtDBus.so -R::::::::::::: 
ld: warning: file /opt/kde4/lib/libQtCore.so: attempted multiple inclusion of file
ld: warning: file /opt/kde4/lib/libQtDBus.so: attempted multiple inclusion of file
Undefined			first referenced
 symbol  			    in file
QMatrix::QMatrix()               CMakeFiles/amarokcollectionscanner.dir/Track.o  (symbol belongs to implicit dependency /opt/kde4/lib/libQtGui.so.4)
QMatrix::QMatrix(const QMatrix&)            CMakeFiles/amarokcollectionscanner.dir/Track.o  (symbol belongs to implicit dependency /opt/kde4/lib/libQtGui.so.4)
ld: fatal: symbol referencing errors. No output written to amarokcollectionscanner

Reproducible: Always
Comment 1 Myriam Schweingruber 2011-01-23 21:33:43 UTC
Thanks for the patch. Could you please submit it to http://git.reviewboard.kde.org ? (you need an identity from http://identity.kde.org bevorehand). Thanks :)
Comment 2 tropikhajma 2011-02-03 00:14:08 UTC
(In reply to comment #1)
> Thanks for the patch. Could you please submit it to
> http://git.reviewboard.kde.org ? (you need an identity from
> http://identity.kde.org bevorehand). Thanks :)

it's sitting there without any action for 10 days already, is that expected?

(http://git.reviewboard.kde.org/r/100437/)
Comment 3 Myriam Schweingruber 2011-02-03 19:38:19 UTC
Somebody needs to push it, I just asked a developer to have a look at it.
Comment 4 Kevin Funk 2011-02-03 21:26:39 UTC
Git commit b93ba8ad568d8c879a9903d094b0fff5bcc3997f by Kevin Funk.
Committed on 03/02/11 at 21:17.
Pushed by kfunk into branch 'master'.

Fix linking on Solaris 11

Not sure why this is needed, but another link target won't hurt.
"Redundant" link target marked with a hint to the initial bug report.

BUG: 264112
REVIEW: 100437

M  +1    -0    ChangeLog     
M  +1    -0    utilities/collectionscanner/CMakeLists.txt     

http://commits.kde.org/amarok/b93ba8ad568d8c879a9903d094b0fff5bcc3997f